<?php
/**
 * Custom style functions
 *
 * @package Miniva
 */

/**
 * Prints custom css
 */
function miniva_custom_styles() {
	$accent_color = get_theme_mod( 'accent_color', 349 );
	if ( 349 !== $accent_color ) {
		$style  = '.page-numbers.current, a.page-numbers:hover, .search-form .search-submit, .tagcloud a:hover, .calendar_wrap #today, .bypostauthor > article .fn, #submit, input[type="submit"], button[type="submit"], #infinite-handle span { background-color: hsl(' . absint( $accent_color ) . ', 59%, 53%); }';
		$style .= '@media (min-width: 768px) { ul.primary-menu > li:hover > a { background-color: hsl(' . absint( $accent_color ) . ', 59%, 53%); } }';
		$style .= 'a, .post-navigation a:hover, .jetpack-social-navigation a:hover, .widget a:hover, .calendar_wrap a, .jetpack_widget_social_icons a:hover, .entry-title a:hover { color: hsl(' . absint( $accent_color ) . ', 59%, 53%); }';
		$style .= '#submit:hover, input[type="submit"]:hover, button[type="submit"]:hover, #infinite-handle:hover span { background-color: hsl(' . absint( $accent_color ) . ', 59%, 40%); }';
		wp_add_inline_style( 'miniva-style', $style );
	}
}
add_action( 'wp_enqueue_scripts', 'miniva_custom_styles' );
